<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="294794b0-73af-47e3-b27a-f420b93f5a70" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyWithWings.java" afterPath="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyWithWings.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/MallardDuck.java" afterPath="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/MallardDuck.java" />
    </list>
    <ignored path="$PROJECT_DIR$/../.gradle/" />
    <ignored path="$PROJECT_DIR$/../build/" />
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="Duck.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/Duck.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="364">
              <caret line="17" column="10" lean-forward="false" selection-start-line="17" selection-start-column="10" selection-end-line="17" selection-end-column="10" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MallardDuck.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/MallardDuck.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="252">
              <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="FlyWithWings.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyWithWings.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="196">
              <caret line="9" column="0" lean-forward="true" selection-start-line="9" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Quack.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/Quack.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="140">
              <caret line="7" column="5" lean-forward="true" selection-start-line="4" selection-start-column="4" selection-end-line="7" selection-end-column="5" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="GradleLocalSettings">
    <option name="myGradleHomes">
      <map>
        <entry key="$PROJECT_DIR$" value="C:\Gradle\gradle-4.5" />
      </map>
    </option>
    <option name="myGradleVersions">
      <map>
        <entry key="$PROJECT_DIR$" value="4.5" />
      </map>
    </option>
    <option name="availableProjects">
      <map>
        <entry>
          <key>
            <ExternalProjectPojo>
              <option name="name" value="tutorial-1" />
              <option name="path" value="$PROJECT_DIR$" />
            </ExternalProjectPojo>
          </key>
          <value>
            <list>
              <ExternalProjectPojo>
                <option name="name" value="advprog-lab" />
                <option name="path" value="$PROJECT_DIR$/.." />
              </ExternalProjectPojo>
              <ExternalProjectPojo>
                <option name="name" value=":tutorial-1" />
                <option name="path" value="$PROJECT_DIR$" />
              </ExternalProjectPojo>
            </list>
          </value>
        </entry>
      </map>
    </option>
    <option name="availableTasks">
      <map>
        <entry key="$PROJECT_DIR$/..">
          <value>
            <list>
              <ExternalTaskPojo>
                <option name="description" value="Displays all buildscript dependencies declared in root project 'advprog-lab'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="buildEnvironment" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the components produced by root project 'advprog-lab'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="components" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays all dependencies declared in root project 'advprog-lab'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="dependencies" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the insight into a specific dependency in root project 'advprog-lab'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="dependencyInsight" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the dependent components of components in root project 'advprog-lab'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="dependentComponents" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays a help message." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="help" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Initializes a new Gradle build." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="init" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the configuration model of root project 'advprog-lab'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="model" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the sub-projects of root project 'advprog-lab'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="projects" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the properties of root project 'advprog-lab'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="properties" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the tasks runnable from root project 'advprog-lab' (some of the displayed tasks may belong to subprojects)." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="tasks" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates Gradle wrapper files." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="wrapper" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles the outputs of this project." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="assemble" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="build" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project and all projects that depend on it." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="buildDependents" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project and all projects it depends on." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="buildNeeded" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Runs all checks." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="check" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Run Checkstyle analysis for main classes" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="checkstyleMain" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Run Checkstyle analysis for test classes" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="checkstyleTest" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles main classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="classes" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Deletes the build directory." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="clean" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Cleans all Eclipse files." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="cleanEclipse" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="cleanEclipseClasspath" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="cleanEclipseJdt" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="cleanEclipseProject" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles main Java source." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="compileJava" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles test Java source." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="compileTestJava" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates all Eclipse files." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="eclipse" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates the Eclipse classpath file." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="eclipseClasspath" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates the Eclipse JDT settings file." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="eclipseJdt" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates the Eclipse project file." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="eclipseProject" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles a jar archive containing the main classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="jar" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates Javadoc API documentation for the main source code." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="javadoc" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Processes main resources." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="processResources" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Processes test resources." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="processTestResources" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Runs the unit tests." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="test" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles test classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$/.." />
                <option name="name" value="testClasses" />
              </ExternalTaskPojo>
            </list>
          </value>
        </entry>
        <entry key="$PROJECT_DIR$">
          <value>
            <list>
              <ExternalTaskPojo>
                <option name="description" value="Displays the components produced by project ':tutorial-1'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="components" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project and all projects that depend on it." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="buildDependents" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="cleanEclipseClasspath" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the sub-projects of project ':tutorial-1'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="projects" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Cleans all Eclipse files." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="cleanEclipse" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles main classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="classes" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the dependent components of components in project ':tutorial-1'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="dependentComponents" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Run Checkstyle analysis for test classes" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="checkstyleTest" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays all buildscript dependencies declared in project ':tutorial-1'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="buildEnvironment" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="cleanEclipseProject" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles test classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="testClasses" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates Javadoc API documentation for the main source code." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="javadoc" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Run Checkstyle analysis for main classes" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="checkstyleMain" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates the Eclipse classpath file." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="eclipseClasspath" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles a jar archive containing the main classes." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="jar" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the configuration model of project ':tutorial-1'. [incubating]" />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="model" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Processes main resources." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="processResources" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the tasks runnable from project ':tutorial-1'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="tasks" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="cleanEclipseJdt" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Runs the unit tests." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="test" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles main Java source." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="compileJava" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the insight into a specific dependency in project ':tutorial-1'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="dependencyInsight" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Runs all checks." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="check" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles the outputs of this project." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="assemble" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Deletes the build directory." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="clean" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Compiles test Java source." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="compileTestJava" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays all dependencies declared in project ':tutorial-1'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="dependencies" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates all Eclipse files." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="eclipse" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Processes test resources." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="processTestResources" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays a help message." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="help" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates the Eclipse JDT settings file." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="eclipseJdt" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="build" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Assembles and tests this project and all projects it depends on." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="buildNeeded" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Generates the Eclipse project file." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="eclipseProject" />
              </ExternalTaskPojo>
              <ExternalTaskPojo>
                <option name="description" value="Displays the properties of project ':tutorial-1'." />
                <option name="linkedExternalProjectPath" value="$PROJECT_DIR$" />
                <option name="name" value="properties" />
              </ExternalTaskPojo>
            </list>
          </value>
        </entry>
      </map>
    </option>
    <option name="modificationStamps">
      <map>
        <entry key="$PROJECT_DIR$/../build.gradle" value="3385581430" />
        <entry key="$PROJECT_DIR$/../settings.gradle" value="2706445343" />
        <entry key="$PROJECT_DIR$/build.gradle" value="886973111" />
      </map>
    </option>
    <option name="projectBuildClasspath">
      <map>
        <entry key="$PROJECT_DIR$">
          <value>
            <ExternalProjectBuildClasspathPojo>
              <option name="modulesBuildClasspath">
                <map>
                  <entry key="$PROJECT_DIR$/..">
                    <value>
                      <ExternalModuleBuildClasspathPojo>
                        <option name="path" value="$PROJECT_DIR$/.." />
                      </ExternalModuleBuildClasspathPojo>
                    </value>
                  </entry>
                  <entry key="$PROJECT_DIR$">
                    <value>
                      <ExternalModuleBuildClasspathPojo>
                        <option name="path" value="$PROJECT_DIR$" />
                      </ExternalModuleBuildClasspathPojo>
                    </value>
                  </entry>
                </map>
              </option>
              <option name="name" value="advprog-lab" />
              <option name="projectBuildClasspath">
                <list>
                  <option value="C:/Gradle/gradle-4.5/lib/ant-1.9.9.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/ant-launcher-1.9.9.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-base-services-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-base-services-groovy-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-build-cache-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-build-option-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-cli-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-core-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-core-api-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-docs-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-installation-beacon-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-jvm-services-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-kotlin-dsl-0.14.2.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-kotlin-dsl-tooling-builders-0.14.2.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-kotlin-dsl-tooling-models-0.14.2.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-launcher-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-logging-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-messaging-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-model-core-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-model-groovy-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-native-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-persistent-cache-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-process-services-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-resources-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-runtime-api-info-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-tooling-api-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/gradle-wrapper-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/groovy-all-2.4.12.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-announce-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-antlr-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-build-cache-http-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-build-comparison-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-build-init-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-code-quality-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-composite-builds-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-dependency-management-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-diagnostics-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-ear-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-ide-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-ide-native-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-ide-play-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-ivy-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-jacoco-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-javascript-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-language-groovy-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-language-java-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-language-jvm-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-language-native-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-language-scala-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-maven-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-osgi-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-platform-base-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-platform-jvm-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-platform-native-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-platform-play-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-plugin-development-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-plugin-use-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-plugins-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-publish-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-reporting-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-resources-gcs-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-resources-http-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-resources-s3-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-resources-sftp-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-scala-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-signing-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-test-kit-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-testing-base-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-testing-jvm-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-testing-native-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-tooling-api-builders-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-version-control-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/gradle-workers-4.5.jar" />
                  <option value="C:/Gradle/gradle-4.5/lib/plugins/ivy-2.2.0.jar" />
                  <option value="$PROJECT_DIR$/buildSrc/src/main/java" />
                  <option value="$PROJECT_DIR$/buildSrc/src/main/groovy" />
                </list>
              </option>
            </ExternalProjectBuildClasspathPojo>
          </value>
        </entry>
      </map>
    </option>
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/Duck.java" />
        <option value="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/MallardDuck.java" />
        <option value="$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyWithWings.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="260" />
    <option name="y" value="20" />
    <option name="width" value="1400" />
    <option name="height" value="980" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView" />
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="Scratches" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name=".idea" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tutorial1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="tutorial-1" type="b2602c69:ProjectViewProjectNode" />
              <item name="git-tutorial" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="tutorial-1" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tutorial1" type="462c0819:PsiDirectoryNode" />
              <item name="strategy" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="294794b0-73af-47e3-b27a-f420b93f5a70" name="Default" comment="" />
      <created>1550303582360</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1550303582360</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-11" y="-11" width="1942" height="1102" extended-state="6" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="true" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Build" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.33013844" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Gradle" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="-1" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/test/java/id/ac/ui/cs/advprog/tutorial1/strategy/DuckTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-588">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyBehavior.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyRocketPowered.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/Squeak.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/QuackBehavior.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/MiniDuckSimulator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyNoWay.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/Duck.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="364">
          <caret line="17" column="10" lean-forward="false" selection-start-line="17" selection-start-column="10" selection-end-line="17" selection-end-column="10" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/MallardDuck.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/Quack.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="140">
          <caret line="7" column="5" lean-forward="true" selection-start-line="4" selection-start-column="4" selection-end-line="7" selection-end-column="5" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/id/ac/ui/cs/advprog/tutorial1/strategy/FlyWithWings.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="9" column="0" lean-forward="true" selection-start-line="9" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>